#include "kompass.h"
#include "i2c.h"
#include <avr/interrupt.h>
/*
i2c twi;

void kompass::lies_winkel()
{
        twi.start();            //start
        twi.write(192);         //moduladresse (default 0xc0)
        twi.write(1);           //register 1 bitte (winkel 0..255)
        twi.start();
        twi.write(193);         //read-modus
        winkel = twi.read_end();
        twi.stop();
}

void kompass::lies_nick()
{
        twi.start();            //start
        twi.write(192);         //moduladresse (default 0xc0)
        twi.write(4);           //register 4 bitte (winkel 0..255)
        twi.start();
        twi.write(193);         //read-modus
        nick = twi.read_end();
        twi.stop();
}

void kompass::lies_roll()
{
        twi.start();            //start
        twi.write(192);         //moduladresse (default 0xc0)
        twi.write(5);           //register 5 bitte (winkel 0..255)
        twi.start();
        twi.write(193);         //read-modus
        roll = twi.read_end();
        twi.stop();
}
*/
